apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "openshift-sdn",
          "interface": "eth0",
          "ips": [
              "10.131.1.168"
          ],
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "openshift-sdn",
          "interface": "eth0",
          "ips": [
              "10.131.1.168"
          ],
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: restricted
  creationTimestamp: "2022-07-31T09:47:05Z"
  generateName: perf-datagen-case1-8495854c4d-
  labels:
    app: benchmark
    pod-template-hash: 8495854c4d
  name: perf-datagen-case1-8495854c4d-62x4n
  namespace: perf-datagen-case1-ocs-storagecluster-ceph-rbd
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: ReplicaSet
    name: perf-datagen-case1-8495854c4d
    uid: e8d1502d-2394-4980-9cc0-e84e60952f8c
  resourceVersion: "691746620"
  uid: 23912ae1-c54f-4b43-8b26-578c32039474
spec:
  containers:
  - env:
    - name: DEPT_COUNT
      value: "1"
    - name: DIR_COUNT
      value: "5"
    - name: FILES_COUNT
      value: "1000000"
    - name: FILES_SIZE
      value: "100"
    - name: ROLE
      value: generator
    - name: PVC_SIZE
      value: 80Gi
    - name: BS
      value: 1M
    - name: COUNT
      value: "1048576"
    envFrom:
    - configMapRef:
        name: settings
    image: quay.io/tzahia/datagen:latest
    imagePullPolicy: Always
    name: data-generator
    resources: {}
    securityContext:
      capabilities:
        drop:
        - KILL
        - MKNOD
        - SETGID
        - SETUID
      runAsUser: 1000670000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /opt/mounts/mnt1
      name: vol-0
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-zdldd
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  imagePullSecrets:
  - name: default-dockercfg-c4dss
  nodeName: worker002-r640
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 1000670000
    seLinuxOptions:
      level: s0:c26,c10
  serviceAccount: default
  serviceAccountName: default
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  volumes:
  - name: vol-0
    persistentVolumeClaim:
      claimName: perf-datagen-case1
  - name: kube-api-access-zdldd
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2022-07-31T09:47:05Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2022-07-31T09:47:18Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2022-07-31T09:47:18Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2022-07-31T09:47:05Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://bf7ff556e2287d8f29dc81790bb3a1ec8d7faa4a2337c0a8dc13c57ad3de8b65
    image: quay.io/tzahia/datagen:latest
    imageID: quay.io/tzahia/datagen@sha256:775f7d41297ced89df38a2d18682f4f9818ca9b6d8ef50a445f19a0506f040b7
    lastState: {}
    name: data-generator
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2022-07-31T09:47:17Z"
  hostIP: 10.1.60.15
  phase: Running
  podIP: 10.131.1.168
  podIPs:
  - ip: 10.131.1.168
  qosClass: BestEffort
  startTime: "2022-07-31T09:47:05Z"
